System Requirements

In order to ensure the security of client data and to provide a smooth end user experience, you will need to ensure that your operating system and web browser satisfy the minimum requirements outlined below. 

Operating system minimum requirements

  • Windows 7 (PC)
  • MacOS 10.10 (Yosemite)
Connection via Windows Vista and Windows XP operating systems will be shut off completely as they do not meet the minimum security requirements.

Web browser minimum requirements:

Chrome 50+ (9+ on iOS mobile)
Safari 8+ (9+ on iOS mobile)
Firefox 40+ (9+ on iOS mobile)
Edge 13+
Internet Explorer Not supported
You will need to upgrade your system/browser to meet these minimum requirements to access app.7shifts.com.


Mobile operating system minimum requirements

7shifts:

iOS
10.0+ (9.0 will function with some issues expected)
Android
5.0+

7punches:

iOS
9.0+
Android
4.4+
(Devices running 4.4 must have Google Play Services installed. If Google Play Services are not installed, 5.0+ is required.)
Amazon Fire 5.0+

7tasks:

iOS
12.0+
Android
4.4+
(Devices running 4.4 must have Google Play Services installed. If Google Play Services are not installed, 5.0+ is required.)

Still need help? Contact Us Contact Us